StarObjectModelInternal::Page Class Reference documentation

Classes | Public Member Functions | Public Attributes | Friends | List of all members
StarObjectModelInternal::Page Class Reference

Internal: class used to store a page and its data. More...

## Classes
struct | Descriptor
| Internal: class used to store a page descriptor. More...

## Public Member Functions
| Page ()
| constructor More...
int | getMasterPageId () const
| returns the master page id More...
void | updatePageSpan (STOFFPageSpan &page, double relUnit) const
| update pagespan properties More...

## Public Attributes
bool | m_masterPage
| a flag to know if the page is a master page More...
librevenge::RVNGString | m_name
| the page name More...
STOFFVec2i | m_size
| the page size More...
int | m_borders [4]
| the border size: left, up, right, bottom More...
std::vector< Descriptor > | m_masterPageDescList
| the list of master page descriptor More...
Layer | m_layer
| the layer More...
LayerSet | m_layerSet
| the layer set More...
std::vector< std::shared_ptr< StarObjectSmallGraphic > > | m_objectList
| the list of object More...
std::shared_ptr< StarObjectSmallGraphic > | m_background
| the background object More...

## Friends
std::ostream & | operator<< (std::ostream &o, Page const &page)
| operator<< More...

## Detailed Description

Internal: class used to store a page and its data.

## Constructor & Destructor Documentation

## ◆ Page()

StarObjectModelInternal::Page::Page | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getMasterPageId()

int StarObjectModelInternal::Page::getMasterPageId | ( |  | ) | const
| inline

returns the master page id

## ◆ updatePageSpan()

void StarObjectModelInternal::Page::updatePageSpan | ( | STOFFPageSpan & | page,
|  | double | relUnit
| ) |  | const
| inline

update pagespan properties

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Page const & | page
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_background

std::shared_ptr<StarObjectSmallGraphic> StarObjectModelInternal::Page::m_background

the background object

Referenced by updatePageSpan().

## ◆ m_borders

int StarObjectModelInternal::Page::m_borders[4]

the border size: left, up, right, bottom

Referenced by Page(), and updatePageSpan().

## ◆ m_layer

Layer StarObjectModelInternal::Page::m_layer

the layer

## ◆ m_layerSet

LayerSet StarObjectModelInternal::Page::m_layerSet

the layer set

## ◆ m_masterPage

bool StarObjectModelInternal::Page::m_masterPage

a flag to know if the page is a master page

Referenced by getMasterPageId().

## ◆ m_masterPageDescList

std::vector<Descriptor> StarObjectModelInternal::Page::m_masterPageDescList

the list of master page descriptor

Referenced by getMasterPageId(), and StarObjectModel::readSdrMPageDesc().

## ◆ m_name

librevenge::RVNGString StarObjectModelInternal::Page::m_name

the page name

## ◆ m_objectList

std::vector<std::shared_ptr<StarObjectSmallGraphic> > StarObjectModelInternal::Page::m_objectList

the list of object

Referenced by StarObjectModel::sendPage().

## ◆ m_size

STOFFVec2i StarObjectModelInternal::Page::m_size

the page size

Referenced by updatePageSpan().

The documentation for this class was generated from the following file:

- StarObjectModel.cxx